Git Provider List repositories from git providers
GET
/control-plane/api/v1/v1/organizations/{organization_id}/git-provider/repositories

Authentication

API Key (BearerAuth)

  • Header: Authorization

Path Parameters

organization_idstringrequired

Organization ID


Query Parameters

installation_idstring

Filter by installation ID


providerstring

Filter by provider


searchstring

Search by name


Responses

200
OK

Example:

[
  {
    "branches": [
      "string"
    ],
    "created_at": "string",
    "default_branch": "string",
    "description": "string",
    "external_id": "string",
    "full_name": "string",
    "id": "string",
    "installation_id": "string",
    "is_archived": true,
    "is_fork": true
  }
]
400
Bad Request

Example:

{
  "key": "value"
}
401
Unauthorized

Example:

{
  "key": "value"
}
500
Internal Server Error

Example:

{
  "key": "value"
}